unit mlibf;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ml_class;

type
  TMLibForm = class(TForm)
    DbExample: TDLLServer;
    TaskServer: TTaskServer;
    procedure CustomersFExecute(Sender: TObject;
      const Args: array of TVarRec; var Retval: Pointer);
    procedure DbExampleRegister(Sender: TObject);
  private
    { Private declarations }
    FDM:TDataModule;
  public
    { Public declarations }
  end;

var
  MLibForm: TMLibForm;
  CustomerAddress:String;
implementation

uses FindCust, Cust,dm;

{$R *.DFM}
procedure TMLibForm.CustomersFExecute(Sender: TObject;
  const Args: array of TVarRec; var Retval: Pointer);
begin
    DM2 := TDM2.Create(Application);
    FDM := DM2;
    Application.CreateForm(TfmFindCust, fmFindCust);
    Application.CreateForm(TfmCustomers, fmCustomers);
    fmCustomers.FTask := TaskServer;
  try
    if fmCustomers.ShowModal = mrOk Then
      begin
       CustomerAddress := fmCustomers.GetAddress;
       UniqueString(CustomerAddress);
       RetVal := PChar(CustomerAddress);
      end;
  finally
    begin
      fmFindCust.Free;
      fmCustomers.Free;
      DM2.Free;
      FDM := nil;
    end;
  end;
end;

procedure TMLibForm.DbExampleRegister(Sender: TObject);
begin
  TaskServer.NotifyAvailable(True);
end;

initialization {added for modlib}
 ModuleMainForm := TMLibForm;

end.
